<template>
  <section v-if="items.length">
    <div
      v-for="(item, index) in items"
      :key="'info-block-' + index"
      class="border-bottom"
      :style="{backgroundColor: item.color ? toRGBA(item.color, 0.2) : 'transparent'}"
    >
      <b-row :class="{'flex-row-reverse': item.type === 'right'}">
        <b-col xs="12" md="7" class="d-flex align-items-center justify-content-center">
          <v-lazy-image
            :src-placeholder="item.image | image | imageSize('small')"
            :src="item.image | image"
            :alt="item.title"
            class="w-100 infocover"
          />
        </b-col>
        <b-col
          xs="12"
          md="5"
          class="d-flex justify-content-center flex-column"
          :class="[item.type === 'right' ? 'align-items-end': 'align-items-start']"
        >
          <div class="px-3 py-4 p-md-3 p-lg-4 p-xl-5 infoblock text-left" :class="['text-md-' + item.type]">
            <h3 class="font-weight-bold text-dark mb-3">
              {{ item.title }}
            </h3>
            <div v-html="item.body" />
          </div>
        </b-col>
      </b-row>
    </div>
  </section>
</template>

<script>
import hexToRgba from 'hex-to-rgba'

export default {
  name: 'AppInfoblocks',
  props: {
    items: {
      type: Array,
      required: true
    }
  },
  methods: {
    toRGBA (color, point) {
      return hexToRgba(color, point)
    }
  }
}
</script>

<style lang="scss" scoped>
    .infoblock {
        max-width: 50rem;
    }

    .infocover {
        object-fit: cover;
        height: 100%;
    }
</style>
